/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.simplelogger;

import java.time.LocalTime;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author omozegieaziegbe
 */
public class SimpleLogger {

    private static final Logger logger = LoggerFactory.getLogger(SimpleLogger.class);

    public static void main(String[] args) {

        String username = "john";
        int userId = 123;
        LocalTime currentTime = LocalTime.now();

        // Traditional logging without parameterization
        logger.info("User " + username + " logged in.");

        // Parameterized logging with SLF4J
        logger.info("User {} logged in.", username);

        // Using multiple parameterized logging with SLF4J
        logger.info("User {} with User ID {} logged in at {}", username, userId, currentTime);
        
        if (userId > 100) {
            logger.warn("User ID {} is greater than 100.", userId);
        } else {
            logger.debug("User ID {} is within acceptable range.", userId);
        }

    }
}
